> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Lease: Yardi REST

PUT https://api.propexo.com/v1/leases/yardi_rest/{lease_id}
Content-Type: application/json

Update Lease: Yardi REST

| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/ImportYardiGuest |

Reference: https://docs.propexo.com/api-reference/yardi-rest/leases/update-lease-yardi-rest

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `lease_id` (string, required) — The Propexo unique identifier for the lease

### Body (application/json)

This endpoint expects a _v1_leases_yardi_rest_{lease_id}_put_input.

- `resident_id` (string, required) — The Propexo unique identifier for the resident
- `first_name` (string, optional) — The first name associated with the applicant
- `last_name` (string, optional) — The last name associated with the applicant
- `middle_name` (string, optional) — The middle name associated with the applicant
- `maiden_name` (string, optional) — The maiden name associated with the applicant
- `email_1` (string, optional) — The primary email address associated with the applicant
- `phone_1` (string, optional) — Primary phone number associated with the applicant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the applicant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `move_in_date` (V1LeasesYardiRestLeaseIdPutInputMoveInDate, optional) — The desired move-in date to the unit listed in the application
- `move_out_date` (V1LeasesYardiRestLeaseIdPutInputMoveOutDate, optional) — The desired move-out date to the unit listed in the application
- `desired_lease_term_in_months` (string, optional) — The desired lease term in months of the applicant
- `date_of_birth` (V1LeasesYardiRestLeaseIdPutInputDateOfBirth, optional) — The date of birth associated with the applicant
- `notes` (string, optional) — Notes associated with the applicant
- `is_evicted` (boolean, optional) — Whether the applicant has been evicted
- `is_felony` (boolean, optional) — Whether the applicant has a felony
- `is_criminal_charge` (boolean, optional) — Whether the applicant has a criminal charge
- `eviction_description` (string, optional) — The description of the eviction
- `felony_description` (string, optional) — The description of the felony
- `criminal_charge_description` (string, optional) — The description of the criminal charge
- `marital_status` (enum, optional) — The marital status of the applicant
  - Allowed values: `SINGLE`, `MARRIED`
- `identification_number` (string, optional) — The social security number of the applicant
- `drivers_license_number` (string, optional) — The driver's license number of the applicant
- `address_history` (list of V1LeasesYardiRestLeaseIdPutInputAddressHistoryItems, optional) — The address history of the applicant
- `emergency_contacts` (list of V1LeasesYardiRestLeaseIdPutInputEmergencyContactsItems, optional) — A list of emergency contacts for the applicant
- `employment_history` (list of V1LeasesYardiRestLeaseIdPutInputEmploymentHistoryItems, optional) — The employment history of the applicant
- `other_income` (list of V1LeasesYardiRestLeaseIdPutInputOtherIncomeItems, optional) — A list of other income sources for the applicant
- `vehicles` (list of V1LeasesYardiRestLeaseIdPutInputVehiclesItems, optional) — A list of vehicles for the application
- `pets` (list of V1LeasesYardiRestLeaseIdPutInputPetsItems, optional) — A list of applicant pets
- `concession_fees` (list of V1LeasesYardiRestLeaseIdPutInputConcessionFeesItems, optional) — A list of concession fees for the application
- `application_fees` (list of V1LeasesYardiRestLeaseIdPutInputApplicationFeesItems, optional) — A list of application fees for the application
- `other_occupants` (list of V1LeasesYardiRestLeaseIdPutInputOtherOccupantsItems, optional) — A list of other occupants for the application

## Response

### 200

Successful response

- `meta` (V1LeasesYardiRestLeaseIdPutOutputMeta, required)
- `result` (V1LeasesYardiRestLeaseIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1LeasesYardiRestLeaseIdPutInputMoveInDate

The desired move-in date to the unit listed in the application

### V1LeasesYardiRestLeaseIdPutInputMoveOutDate

The desired move-out date to the unit listed in the application

### V1LeasesYardiRestLeaseIdPutInputDateOfBirth

The date of birth associated with the applicant

### V1LeasesYardiRestLeaseIdPutInputAddressHistoryItems

- `address_1` (string, required) — The first address line associated with the applicant's historical address
- `city` (string, required) — The city associated with the applicant's historical address
- `state` (enum, required) — The state associated with the applicant
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, required) — The zip code associated with the applicant's historical address
- `notice_provided` (boolean, required) — Whether notice has been given to the applicant's historical address
- `move_in_date` (V1LeasesYardiRestLeaseIdPutInputAddressHistoryItemsMoveInDate, required) — The date when the applicant moved into their historical address
- `country` (enum, optional) — The country associated with the applicant's historical address. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help
  - Allowed values: `US`, `CA`
- `property_name` (string, optional) — The property name of the applicant's historical address
- `reason_for_leaving` (string, optional) — The reason the applicant left their historical address
- `monthly_payment_in_cents` (integer, optional) — For the applicant's historical address, the applicant's monthly payment for rent or mortgage in cents
- `move_out_date` (V1LeasesYardiRestLeaseIdPutInputAddressHistoryItemsMoveOutDate, optional) — The date when the applicant moved out of their historical address. If this is the applicant's current address, omit this field
- `manager_phone` (string, optional) — The phone number of a property manager who works at this address
- `manager_email` (string, optional) — The email of a property manager who works at this address
- `management_company` (string, optional) — The name of the company who owns the property at this address

### V1LeasesYardiRestLeaseIdPutInputEmergencyContactsItems

- `first_name` (string, required) — The first name of the emergency contact
- `last_name` (string, required) — The last name of the emergency contact
- `relationship` (enum, required) — The relationship of the emergency contact to the applicant
  - Allowed values: `DAUGHTER`, `FRIEND`, `HUSBAND`, `SON`, `WIFE`, `OTHER`
- `address_1` (string, optional) — The first line of the address of the emergency contact
- `city` (string, optional) — The city of the address of the emergency contact
- `state` (enum, optional) — The state of the address of the emergency contact
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, optional) — The zip code of the address of the emergency contact
- `country` (enum, optional) — The country of the address of the emergency contact. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help
  - Allowed values: `US`, `CA`
- `phone_1` (string, optional) — The phone number of the emergency contact

### V1LeasesYardiRestLeaseIdPutInputEmploymentHistoryItems

- `is_current_employer` (boolean, required) — Whether this employment history entry is for a current employer
- `name` (string, required) — The name of the employer
- `start_date` (V1LeasesYardiRestLeaseIdPutInputEmploymentHistoryItemsStartDate, required) — The start date of the applicant's employment at this employer
- `monthly_income_in_cents` (integer, required) — The monthly income of the applicant at this employer in cents
- `end_date` (V1LeasesYardiRestLeaseIdPutInputEmploymentHistoryItemsEndDate, optional) — The end date of the applicant's employment at this employer. Ignore this field if is_current_employer is set to true
- `address_1` (string, optional) — The first line of the address of the employer
- `city` (string, optional) — The city of the address of the employer
- `state` (enum, optional) — The state of the address of the employer
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, optional) — The zip code of the address of the employer
- `phone` (string, optional) — The phone number of the employer
- `supervisor_first_name` (string, optional) — The first name of the applicant's supervisor at this employer
- `supervisor_last_name` (string, optional) — The last name of the applicant's supervisor at this employer
- `position` (string, optional) — The position held at this employer, or the job description of the applicant

### V1LeasesYardiRestLeaseIdPutInputOtherIncomeItems

- `source` (string, required) — The source of the income for the applicant
- `monthly_income_in_cents` (integer, required) — The monthly income from this income source in cents

### V1LeasesYardiRestLeaseIdPutInputVehiclesItems

- `make` (string, required) — The make of the vehicle
- `model` (string, optional) — The model of the vehicle
- `year` (integer, optional) — The year the vehicle was made
- `color` (string, optional) — The color of the vehicle
- `license_plate_number` (string, optional) — The license plate number of the vehicle
- `license_plate_state` (string, optional) — The issuing state of the license plate

### V1LeasesYardiRestLeaseIdPutInputPetsItems

- `type` (string, required) — The type associated with the applicant pet
- `name` (string, optional) — The name associated with the applicant pet
- `age_in_years` (integer, optional) — The age in years of the applicant pet
- `weight_in_pounds` (integer, optional) — The weight in pounds of the applicant pet
- `breed` (string, optional) — The breed of the applicant pet
- `color` (string, optional) — The color of the applicant pet
- `gender` (string, optional) — The raw value for the gender of the applicant pet
- `is_fixed` (boolean, optional) — Whether the applicant pet is fixed
- `is_service_animal` (boolean, optional) — Whether the applicant pet is a service animal

### V1LeasesYardiRestLeaseIdPutInputConcessionFeesItems

- `start_date` (V1LeasesYardiRestLeaseIdPutInputConcessionFeesItemsStartDate, required) — The start date of the applicant's recurring concession fee
- `end_date` (V1LeasesYardiRestLeaseIdPutInputConcessionFeesItemsEndDate, required) — The end date of the applicant's recurring concession fee
- `concession_id` (string, required) — The Propexo unique identifier for the concession. This concession must be associated with the unit that the applicant is applying for

### V1LeasesYardiRestLeaseIdPutInputApplicationFeesItems

- `charge_code_id` (string, required) — The Propexo unique identifier for the charge code. This must be an application fee charge code
- `amount_in_cents` (integer, required) — The application fee amount in cents
- `description` (string, optional) — Description of the application fee

### V1LeasesYardiRestLeaseIdPutInputOtherOccupantsItems

- `relationship` (enum, required) — The relationship of the occupant to the applicant
  - Allowed values: `ROOMMATE`, `SPOUSE`, `GUARANTOR`, `OTHER`
- `first_name` (string, required) — The first name associated with the occupant
- `last_name` (string, required) — The last name associated with the occupant
- `third_party_id` (string, required) — A unique ID you would like to associate with the occupant. This is not the Yardi occupant ID
- `organization_name` (string, required) — The name of your organization. Yardi uses this for associating an occupant
- `email_1` (string, optional) — The primary email address associated with the occupant
- `phone_1` (string, optional) — Primary phone number associated with the occupant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the occupant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `address_1` (string, optional) — The first address line associated with the occupant
- `city` (string, optional) — The city associated with the occupant
- `state` (enum, optional) — The state associated with the occupant
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, optional) — The zip code associated with the occupant

### V1LeasesYardiRestLeaseIdPutOutputMeta

- `job_id` (string, required)

### V1LeasesYardiRestLeaseIdPutOutputResult

- `lease_id` (string, required) — The Propexo unique identifier for the lease
- `resident_id` (string, required) — The Propexo unique identifier for the resident
- `first_name` (string, optional) — The first name associated with the applicant
- `last_name` (string, optional) — The last name associated with the applicant
- `middle_name` (string, optional) — The middle name associated with the applicant
- `maiden_name` (string, optional) — The maiden name associated with the applicant
- `email_1` (string, optional) — The primary email address associated with the applicant
- `phone_1` (string, optional) — Primary phone number associated with the applicant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the applicant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `move_in_date` (V1LeasesYardiRestLeaseIdPutOutputResultMoveInDate, optional) — The desired move-in date to the unit listed in the application
- `move_out_date` (V1LeasesYardiRestLeaseIdPutOutputResultMoveOutDate, optional) — The desired move-out date to the unit listed in the application
- `desired_lease_term_in_months` (string, optional) — The desired lease term in months of the applicant
- `date_of_birth` (V1LeasesYardiRestLeaseIdPutOutputResultDateOfBirth, optional) — The date of birth associated with the applicant
- `notes` (string, optional) — Notes associated with the applicant
- `is_evicted` (boolean, optional) — Whether the applicant has been evicted
- `is_felony` (boolean, optional) — Whether the applicant has a felony
- `is_criminal_charge` (boolean, optional) — Whether the applicant has a criminal charge
- `eviction_description` (string, optional) — The description of the eviction
- `felony_description` (string, optional) — The description of the felony
- `criminal_charge_description` (string, optional) — The description of the criminal charge
- `marital_status` (enum, optional) — The marital status of the applicant
  - Allowed values: `SINGLE`, `MARRIED`
- `identification_number` (string, optional) — The social security number of the applicant
- `drivers_license_number` (string, optional) — The driver's license number of the applicant
- `address_history` (list of V1LeasesYardiRestLeaseIdPutOutputResultAddressHistoryItems, optional) — The address history of the applicant
- `emergency_contacts` (list of V1LeasesYardiRestLeaseIdPutOutputResultEmergencyContactsItems, optional) — A list of emergency contacts for the applicant
- `employment_history` (list of V1LeasesYardiRestLeaseIdPutOutputResultEmploymentHistoryItems, optional) — The employment history of the applicant
- `other_income` (list of V1LeasesYardiRestLeaseIdPutOutputResultOtherIncomeItems, optional) — A list of other income sources for the applicant
- `vehicles` (list of V1LeasesYardiRestLeaseIdPutOutputResultVehiclesItems, optional) — A list of vehicles for the application
- `pets` (list of V1LeasesYardiRestLeaseIdPutOutputResultPetsItems, optional) — A list of applicant pets
- `concession_fees` (list of V1LeasesYardiRestLeaseIdPutOutputResultConcessionFeesItems, optional) — A list of concession fees for the application
- `application_fees` (list of V1LeasesYardiRestLeaseIdPutOutputResultApplicationFeesItems, optional) — A list of application fees for the application
- `other_occupants` (list of V1LeasesYardiRestLeaseIdPutOutputResultOtherOccupantsItems, optional)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1LeasesYardiRestLeaseIdPutInputAddressHistoryItemsMoveInDate

The date when the applicant moved into their historical address

### V1LeasesYardiRestLeaseIdPutInputAddressHistoryItemsMoveOutDate

The date when the applicant moved out of their historical address. If this is the applicant's current address, omit this field

### V1LeasesYardiRestLeaseIdPutInputEmploymentHistoryItemsStartDate

The start date of the applicant's employment at this employer

### V1LeasesYardiRestLeaseIdPutInputEmploymentHistoryItemsEndDate

The end date of the applicant's employment at this employer. Ignore this field if is_current_employer is set to true

### V1LeasesYardiRestLeaseIdPutInputConcessionFeesItemsStartDate

The start date of the applicant's recurring concession fee

### V1LeasesYardiRestLeaseIdPutInputConcessionFeesItemsEndDate

The end date of the applicant's recurring concession fee

### V1LeasesYardiRestLeaseIdPutOutputResultMoveInDate

The desired move-in date to the unit listed in the application

### V1LeasesYardiRestLeaseIdPutOutputResultMoveOutDate

The desired move-out date to the unit listed in the application

### V1LeasesYardiRestLeaseIdPutOutputResultDateOfBirth

The date of birth associated with the applicant

### V1LeasesYardiRestLeaseIdPutOutputResultAddressHistoryItems

- `address_1` (string, required) — The first address line associated with the applicant's historical address
- `city` (string, required) — The city associated with the applicant's historical address
- `state` (enum, required) — The state associated with the applicant
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, required) — The zip code associated with the applicant's historical address
- `notice_provided` (boolean, required) — Whether notice has been given to the applicant's historical address
- `move_in_date` (V1LeasesYardiRestLeaseIdPutOutputResultAddressHistoryItemsMoveInDate, required) — The date when the applicant moved into their historical address
- `country` (enum, optional) — The country associated with the applicant's historical address. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help
  - Allowed values: `US`, `CA`
- `property_name` (string, optional) — The property name of the applicant's historical address
- `reason_for_leaving` (string, optional) — The reason the applicant left their historical address
- `monthly_payment_in_cents` (integer, optional) — For the applicant's historical address, the applicant's monthly payment for rent or mortgage in cents
- `move_out_date` (V1LeasesYardiRestLeaseIdPutOutputResultAddressHistoryItemsMoveOutDate, optional) — The date when the applicant moved out of their historical address. If this is the applicant's current address, omit this field
- `manager_phone` (string, optional) — The phone number of a property manager who works at this address
- `manager_email` (string, optional) — The email of a property manager who works at this address
- `management_company` (string, optional) — The name of the company who owns the property at this address

### V1LeasesYardiRestLeaseIdPutOutputResultEmergencyContactsItems

- `first_name` (string, required) — The first name of the emergency contact
- `last_name` (string, required) — The last name of the emergency contact
- `relationship` (enum, required) — The relationship of the emergency contact to the applicant
  - Allowed values: `DAUGHTER`, `FRIEND`, `HUSBAND`, `SON`, `WIFE`, `OTHER`
- `address_1` (string, optional) — The first line of the address of the emergency contact
- `city` (string, optional) — The city of the address of the emergency contact
- `state` (enum, optional) — The state of the address of the emergency contact
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, optional) — The zip code of the address of the emergency contact
- `country` (enum, optional) — The country of the address of the emergency contact. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help
  - Allowed values: `US`, `CA`
- `phone_1` (string, optional) — The phone number of the emergency contact

### V1LeasesYardiRestLeaseIdPutOutputResultEmploymentHistoryItems

- `is_current_employer` (boolean, required) — Whether this employment history entry is for a current employer
- `name` (string, required) — The name of the employer
- `start_date` (V1LeasesYardiRestLeaseIdPutOutputResultEmploymentHistoryItemsStartDate, required) — The start date of the applicant's employment at this employer
- `monthly_income_in_cents` (integer, required) — The monthly income of the applicant at this employer in cents
- `end_date` (V1LeasesYardiRestLeaseIdPutOutputResultEmploymentHistoryItemsEndDate, optional) — The end date of the applicant's employment at this employer. Ignore this field if is_current_employer is set to true
- `address_1` (string, optional) — The first line of the address of the employer
- `city` (string, optional) — The city of the address of the employer
- `state` (enum, optional) — The state of the address of the employer
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, optional) — The zip code of the address of the employer
- `phone` (string, optional) — The phone number of the employer
- `supervisor_first_name` (string, optional) — The first name of the applicant's supervisor at this employer
- `supervisor_last_name` (string, optional) — The last name of the applicant's supervisor at this employer
- `position` (string, optional) — The position held at this employer, or the job description of the applicant

### V1LeasesYardiRestLeaseIdPutOutputResultOtherIncomeItems

- `source` (string, required) — The source of the income for the applicant
- `monthly_income_in_cents` (integer, required) — The monthly income from this income source in cents

### V1LeasesYardiRestLeaseIdPutOutputResultVehiclesItems

- `make` (string, required) — The make of the vehicle
- `model` (string, optional) — The model of the vehicle
- `year` (integer, optional) — The year the vehicle was made
- `color` (string, optional) — The color of the vehicle
- `license_plate_number` (string, optional) — The license plate number of the vehicle
- `license_plate_state` (string, optional) — The issuing state of the license plate

### V1LeasesYardiRestLeaseIdPutOutputResultPetsItems

- `type` (string, required) — The type associated with the applicant pet
- `name` (string, optional) — The name associated with the applicant pet
- `age_in_years` (integer, optional) — The age in years of the applicant pet
- `weight_in_pounds` (integer, optional) — The weight in pounds of the applicant pet
- `breed` (string, optional) — The breed of the applicant pet
- `color` (string, optional) — The color of the applicant pet
- `gender` (string, optional) — The raw value for the gender of the applicant pet
- `is_fixed` (boolean, optional) — Whether the applicant pet is fixed
- `is_service_animal` (boolean, optional) — Whether the applicant pet is a service animal

### V1LeasesYardiRestLeaseIdPutOutputResultConcessionFeesItems

- `start_date` (V1LeasesYardiRestLeaseIdPutOutputResultConcessionFeesItemsStartDate, required) — The start date of the applicant's recurring concession fee
- `end_date` (V1LeasesYardiRestLeaseIdPutOutputResultConcessionFeesItemsEndDate, required) — The end date of the applicant's recurring concession fee
- `concession_id` (string, required) — The Propexo unique identifier for the concession. This concession must be associated with the unit that the applicant is applying for

### V1LeasesYardiRestLeaseIdPutOutputResultApplicationFeesItems

- `charge_code_id` (string, required) — The Propexo unique identifier for the charge code. This must be an application fee charge code
- `amount_in_cents` (integer, required) — The application fee amount in cents
- `description` (string, optional) — Description of the application fee

### V1LeasesYardiRestLeaseIdPutOutputResultOtherOccupantsItems

- `relationship` (enum, required) — The relationship of the occupant to the applicant
  - Allowed values: `ROOMMATE`, `SPOUSE`, `GUARANTOR`, `OTHER`
- `first_name` (string, required) — The first name associated with the occupant
- `last_name` (string, required) — The last name associated with the occupant
- `third_party_id` (string, required) — A unique ID you would like to associate with the occupant. This is not the Yardi occupant ID
- `organization_name` (string, required) — The name of your organization. Yardi uses this for associating an occupant
- `email_1` (string, optional) — The primary email address associated with the occupant
- `phone_1` (string, optional) — Primary phone number associated with the occupant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the occupant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `address_1` (string, optional) — The first address line associated with the occupant
- `city` (string, optional) — The city associated with the occupant
- `state` (enum, optional) — The state associated with the occupant
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, optional) — The zip code associated with the occupant

### V1LeasesYardiRestLeaseIdPutOutputResultAddressHistoryItemsMoveInDate

The date when the applicant moved into their historical address

### V1LeasesYardiRestLeaseIdPutOutputResultAddressHistoryItemsMoveOutDate

The date when the applicant moved out of their historical address. If this is the applicant's current address, omit this field

### V1LeasesYardiRestLeaseIdPutOutputResultEmploymentHistoryItemsStartDate

The start date of the applicant's employment at this employer

### V1LeasesYardiRestLeaseIdPutOutputResultEmploymentHistoryItemsEndDate

The end date of the applicant's employment at this employer. Ignore this field if is_current_employer is set to true

### V1LeasesYardiRestLeaseIdPutOutputResultConcessionFeesItemsStartDate

The start date of the applicant's recurring concession fee

### V1LeasesYardiRestLeaseIdPutOutputResultConcessionFeesItemsEndDate

The end date of the applicant's recurring concession fee

## Examples

**Request**

```json
{
  "resident_id": "string"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "string"
  },
  "result": {
    "lease_id": "string",
    "resident_id": "string",
    "first_name": "string",
    "last_name": "string",
    "middle_name": "string",
    "maiden_name": "string",
    "email_1": "string",
    "phone_1": "string",
    "phone_1_type": "FAX",
    "phone_2": "string",
    "phone_2_type": "FAX",
    "move_in_date": "2024-01-15T09:30:00Z",
    "move_out_date": "2024-01-15T09:30:00Z",
    "desired_lease_term_in_months": "string",
    "date_of_birth": "2024-01-15T09:30:00Z",
    "notes": "string",
    "is_evicted": true,
    "is_felony": true,
    "is_criminal_charge": true,
    "eviction_description": "string",
    "felony_description": "string",
    "criminal_charge_description": "string",
    "marital_status": "SINGLE",
    "identification_number": "string",
    "drivers_license_number": "string",
    "address_history": [
      {
        "address_1": "string",
        "city": "string",
        "state": "AA",
        "zip": "string",
        "notice_provided": true,
        "move_in_date": "2024-01-15T09:30:00Z",
        "country": "US",
        "property_name": "string",
        "reason_for_leaving": "string",
        "monthly_payment_in_cents": 1,
        "move_out_date": "2024-01-15T09:30:00Z",
        "manager_phone": "string",
        "manager_email": "string",
        "management_company": "string"
      }
    ],
    "emergency_contacts": [
      {
        "first_name": "string",
        "last_name": "string",
        "relationship": "DAUGHTER",
        "address_1": "string",
        "city": "string",
        "state": "AA",
        "zip": "string",
        "country": "US",
        "phone_1": "string"
      }
    ],
    "employment_history": [
      {
        "is_current_employer": true,
        "name": "string",
        "start_date": "2024-01-15T09:30:00Z",
        "monthly_income_in_cents": 1,
        "end_date": "2024-01-15T09:30:00Z",
        "address_1": "string",
        "city": "string",
        "state": "AA",
        "zip": "string",
        "phone": "string",
        "supervisor_first_name": "string",
        "supervisor_last_name": "string",
        "position": "string"
      }
    ],
    "other_income": [
      {
        "source": "string",
        "monthly_income_in_cents": 1
      }
    ],
    "vehicles": [
      {
        "make": "string",
        "model": "string",
        "year": 1,
        "color": "string",
        "license_plate_number": "string",
        "license_plate_state": "string"
      }
    ],
    "pets": [
      {
        "type": "string",
        "name": "string",
        "age_in_years": 1,
        "weight_in_pounds": 1,
        "breed": "string",
        "color": "string",
        "gender": "string",
        "is_fixed": true,
        "is_service_animal": true
      }
    ],
    "concession_fees": [
      {
        "start_date": "2024-01-15T09:30:00Z",
        "end_date": "2024-01-15T09:30:00Z",
        "concession_id": "string"
      }
    ],
    "application_fees": [
      {
        "charge_code_id": "string",
        "amount_in_cents": 1,
        "description": "string"
      }
    ],
    "other_occupants": [
      {
        "relationship": "ROOMMATE",
        "first_name": "string",
        "last_name": "string",
        "third_party_id": "string",
        "organization_name": "string",
        "email_1": "string",
        "phone_1": "string",
        "phone_1_type": "FAX",
        "phone_2": "string",
        "phone_2_type": "FAX",
        "address_1": "string",
        "city": "string",
        "state": "AA",
        "zip": "string"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leases/yardi_rest/lease_id"

payload = { "resident_id": "string" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leases/yardi_rest/lease_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"resident_id":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leases/yardi_rest/lease_id"

	payload := strings.NewReader("{\n  \"resident_id\": \"string\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leases/yardi_rest/lease_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"resident_id\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/leases/yardi_rest/lease_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"resident_id\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/leases/yardi_rest/lease_id', [
  'body' => '{
  "resident_id": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leases/yardi_rest/lease_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"resident_id\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["resident_id": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leases/yardi_rest/lease_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```